[arch-commits] Commit in glade/repos/staging-x86_64 (4 files)
Jan Steffens
heftig at archlinux.org
Sat Nov 21 19:54:57 UTC 2020
Date: Saturday, November 21, 2020 @ 19:54:57
Author: heftig
Revision: 401652
archrelease: copy trunk to staging-x86_64
Added:
glade/repos/staging-x86_64/PKGBUILD
(from rev 401651, glade/trunk/PKGBUILD)
glade/repos/staging-x86_64/python-dep.diff
(from rev 401651, glade/trunk/python-dep.diff)
Deleted:
glade/repos/staging-x86_64/PKGBUILD
glade/repos/staging-x86_64/python-dep.diff
-----------------+
PKGBUILD | 105 +++++++++++++++++++++++++++---------------------------
python-dep.diff | 26 ++++++-------
2 files changed, 67 insertions(+), 64 deletions(-)
Deleted: PKGBUILD
===================================================================
--- PKGBUILD 2020-11-21 19:54:09 UTC (rev 401651)
+++ PKGBUILD 2020-11-21 19:54:57 UTC (rev 401652)
@@ -1,51 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
-# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
-
-pkgname=glade
-pkgver=3.38.1
-pkgrel=3
-pkgdesc="User Interface Builder for GTK+ applications"
-url="https://glade.gnome.org/"
-arch=(x86_64)
-license=(GPL LGPL)
-depends=(gtk3 libxml2)
-makedepends=(gtk-doc gobject-introspection python-gobject itstool docbook-xsl
- git webkit2gtk meson gjs)
-checkdepends=(xorg-server-xvfb)
-optdepends=('devhelp: development help')
-groups=(gnome-extra)
-provides=(libgladeui-2.so)
-_commit=9b3f55387f03920e1bf1cea9b7e9c911421cbb3e # tags/GLADE_3_38_1^0
-source=("git+https://gitlab.gnome.org/GNOME/glade.git#commit=$_commit"
- python-dep.diff)
-sha256sums=('SKIP'
- 'dc1ed48403d473fcacef37fc6dd693e0442e7fed31bb852b20957c71595e2124')
-
-pkgver() {
- cd $pkgname
- git describe --tags | sed 's/^GLADE_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
- cd $pkgname
-
- # Fix build with Python 3.9
- git apply -3 ../python-dep.diff
-}
-
-build() {
- arch-meson $pkgname build -D gtk_doc=true
- meson compile -C build
-}
-
-check() {
- # Requires Glade to be installed to pass
- # GladeUI-FATAL-CRITICAL: Unable to load image (Failed to open file "/usr/share/glade/pixmaps/plus.png": No such file or directory)
- dbus-run-session xvfb-run \
- -s '-screen 0 1920x1080x24 -nolisten local' \
- meson test -C build --print-errorlogs || :
-}
-
-package() {
- DESTDIR="$pkgdir" meson install -C build
-}
Copied: glade/repos/staging-x86_64/PKGBUILD (from rev 401651, glade/trunk/PKGBUILD)
===================================================================
--- PKGBUILD (rev 0)
+++ PKGBUILD 2020-11-21 19:54:57 UTC (rev 401652)
@@ -0,0 +1,54 @@
+# Maintainer: Jan Alexander Steffens (heftig) <heftig at archlinux.org>
+# Contributor: Douglas Soares de Andrade <douglas at archlinux.org>
+
+pkgname=glade
+pkgver=3.38.2
+pkgrel=1
+pkgdesc="User Interface Builder for GTK+ applications"
+url="https://glade.gnome.org/"
+arch=(x86_64)
+license=(GPL LGPL)
+depends=(gtk3 libxml2)
+makedepends=(gtk-doc gobject-introspection python-gobject itstool docbook-xsl
+ git webkit2gtk meson gjs)
+checkdepends=(xorg-server-xvfb)
+optdepends=('devhelp: development help')
+groups=(gnome-extra)
+provides=(libgladeui-2.so)
+_commit=152031927c60c167ae7b035a78fca4d70678775c # glade-3-38
+source=("git+https://gitlab.gnome.org/GNOME/glade.git#commit=$_commit"
+ python-dep.diff)
+sha256sums=('SKIP'
+ 'dc1ed48403d473fcacef37fc6dd693e0442e7fed31bb852b20957c71595e2124')
+
+pkgver() {
+ cd $pkgname
+ git describe --tags | sed 's/^GLADE_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+ cd $pkgname
+
+ # Add missing tag
+ git tag -f GLADE_3_38_2 152031927c60c167ae7b035a78fca4d70678775c
+
+ # Fix build with Python 3.9
+ git apply -3 ../python-dep.diff
+}
+
+build() {
+ arch-meson $pkgname build -D gtk_doc=true
+ meson compile -C build
+}
+
+check() {
+ # Requires Glade to be installed to pass
+ # GladeUI-FATAL-CRITICAL: Unable to load image (Failed to open file "/usr/share/glade/pixmaps/plus.png": No such file or directory)
+ dbus-run-session xvfb-run \
+ -s '-screen 0 1920x1080x24 -nolisten local' \
+ meson test -C build --print-errorlogs || :
+}
+
+package() {
+ DESTDIR="$pkgdir" meson install -C build
+}
Deleted: python-dep.diff
===================================================================
--- python-dep.diff 2020-11-21 19:54:09 UTC (rev 401651)
+++ python-dep.diff 2020-11-21 19:54:57 UTC (rev 401652)
@@ -1,13 +0,0 @@
-diff --git i/meson.build w/meson.build
-index fc4c4492..0c4b412f 100644
---- i/meson.build
-+++ w/meson.build
-@@ -153,7 +153,7 @@ pygobject_version = '3.8.0'
- pygobject_dep = dependency('pygobject-3.0', version: '>= ' + pygobject_version, required: get_option('python'))
- have_python = pygobject_dep.found()
- if have_python
-- python_dep = dependency('python-3.8-embed', version: '>= 3.8')
-+ python_dep = import('python').find_installation().dependency(embed: true)
-
- version_array = pygobject_version.split('.')
- config_h.set('PYGOBJECT_REQUIRED_MAJOR', version_array[0].to_int())
Copied: glade/repos/staging-x86_64/python-dep.diff (from rev 401651, glade/trunk/python-dep.diff)
===================================================================
--- python-dep.diff (rev 0)
+++ python-dep.diff 2020-11-21 19:54:57 UTC (rev 401652)
@@ -0,0 +1,13 @@
+diff --git i/meson.build w/meson.build
+index fc4c4492..0c4b412f 100644
+--- i/meson.build
++++ w/meson.build
+@@ -153,7 +153,7 @@ pygobject_version = '3.8.0'
+ pygobject_dep = dependency('pygobject-3.0', version: '>= ' + pygobject_version, required: get_option('python'))
+ have_python = pygobject_dep.found()
+ if have_python
+- python_dep = dependency('python-3.8-embed', version: '>= 3.8')
++ python_dep = import('python').find_installation().dependency(embed: true)
+
+ version_array = pygobject_version.split('.')
+ config_h.set('PYGOBJECT_REQUIRED_MAJOR', version_array[0].to_int())
More information about the arch-commits
mailing list